## twinkle 1.10.1+dfsg

=== CMakeLists.txt ===
project(twinkle)

cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)

set(PRODUCT_VERSION "1.10.1")
set(PRODUCT_DATE    "October 7, 2016")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)
OPTION(WITH_SPEEX		"Enable the Speex codec" OFF)
OPTION(WITH_ILBC		"Enable the iLBC codec" OFF)
OPTION(WITH_ALSA		"Enable ALSA support" ON)
OPTION(WITH_DIAMONDCARD	"Enable Diamondcard integration" OFF)
OPTION(WITH_QT5			"Enable Qt 5 GUI" ON)
OPTION(WITH_G729		"Enable G.729A support" OFF)
OPTION(WITH_GSM			"Use external GSM library" OFF)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_LIST_DIR}/cmake")

include (CheckIncludeFile)
include (CheckIncludeFiles)

find_package(LibXml2 REQUIRED)
find_package(LibMagic REQUIRED)
find_package(LibSndfile REQUIRED)
find_package(Readline REQUIRED)
find_package(BISON REQUIRED)
find_package(FLEX REQUIRED)
find_package(Ucommon REQUIRED)
find_package(Commoncpp REQUIRED)
find_package(Ccrtp REQUIRED)

if (WITH_QT5)
	find_package(Qt5Widgets REQUIRED)
	find_package(Qt5LinguistTools REQUIRED)
	find_package(Qt5Quick REQUIRED)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Widgets_EXECUTABLE_COMPILE_FLAGS} ${Qt5Quick_EXECUTABLE_COMPILE_FLAGS}")
	include_directories(${Qt5Widgets_INCLUDES} ${Qt5Quick_INCLUDES})
	add_definitions(${Qt5Widgets_DEFINITIONS} ${Qt5Quick_DEFINITIONS})
endif (WITH_QT5)

include_directories(${LIBXML2_INCLUDE_DIR})

if (WITH_ALSA)
	find_package(ALSA)

	if (ALSA_FOUND)
		message(STATUS "libasound OK")
		set(HAVE_LIBASOUND TRUE)
	else (ALSA_FOUND)
		message(FATAL_ERROR "libasound not found!")
	endif (ALSA_FOUND)
endif (WITH_ALSA)

if (WITH_ZRTP)
	find_package(Zrtpcpp)
	
	if (ZRTPCPP_FOUND)
		message(STATUS "libzrtpcpp OK")
		set(HAVE_ZRTP TRUE)
		
		include_directories(${ZRTPCPP_INCLUDE_DIR})
	else (ZRTPCPP_FOUND)
		message(FATAL_ERROR "libzrtpcpp not found!")
	endif (ZRTPCPP_FOUND)
endif (WITH_ZRTP)

if (WITH_SPEEX)
	find_package(Speex)
	
	if (SPEEX_FOUND)
		message(STATUS "Speex OK")
		set(HAVE_SPEEX TRUE)
		
		include_directories(${SPEEX_INCLUDE_DIR})
	else (SPEEX_FOUND)
		message(FATAL_ERROR "Speex not found!")
	endif (SPEEX_FOUND)
endif (WITH_SPEEX)

if (WITH_ILBC)
	find_package(Ilbc)
	
	if (ILBC_FOUND)
		message(STATUS "iLBC OK")
		set(HAVE_ILBC TRUE)
		
		include_directories(${ILBC_INCLUDE_DIR})
	else (ILBC_FOUND)
		message(FATAL_ERROR "iLBC not found!")
	endif (ILBC_FOUND)
endif (WITH_ILBC)

if (WITH_G729)
	find_package(G729)
	
	if (G729_FOUND)
		message(STATUS "bcg729 OK")
		set(HAVE_BCG729 TRUE)
		
		include_directories(${G729_INCLUDE_DIR})
	else (G729_FOUND)
		message(FATAL_ERROR "bcg729 not found!")
	endif (G729_FOUND)
endif (WITH_G729)

if (WITH_GSM)
	find_package(Gsm)

	if (GSM_FOUND)
		message(STATUS "gsm OK")
		set(HAVE_GSM TRUE)

		include_directories(${GSM_INCLUDE_DIR})
	else (GSM_FOUND)
		message(FATAL_ERROR "gsm not found!")
	endif (GSM_FOUND)
endif (WITH_GSM)

check_include_file(unistd.h HAVE_UNISTD_H)
check_include_file(linux/types.h HAVE_LINUX_TYPES_H)
check_include_files("sys/socket.h;linux/errqueue.h" HAVE_LINUX_ERRQUEUE_H)

set(datadir "${CMAKE_INSTALL_PREFIX}/share/twinkle")
configure_file(twinkle_config.h.in twinkle_config.h)
configure_file(twinkle.desktop.in twinkle.desktop)

include_directories("${CMAKE_BINARY_DIR}")

install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/data/providers.csv
	${CMAKE_CURRENT_SOURCE_DIR}/data/ringtone.wav
	${CMAKE_CURRENT_SOURCE_DIR}/data/ringback.wav
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle16.png
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle32.png
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle48.png
	DESTINATION share/twinkle)
install(FILES
	${CMAKE_CURRENT_SOURCE_DIR}/src/gui/images/twinkle48.png
	DESTINATION share/pixmaps
	RENAME twinkle.png)
install(FILES
	${CMAKE_CURRENT_BINARY_DIR}/twinkle.desktop
	DESTINATION share/applications)

install(FILES src/gui/images/twinkle16.png
	RENAME twinkle.png
	DESTINATION share/icons/hicolor/16x16/apps)
install(FILES src/gui/images/twinkle24.png
	RENAME twinkle.png
	DESTINATION share/icons/hicolor/24x24/apps)
install(FILES src/gui/images/twinkle32.png
	RENAME twinkle.png
	DESTINATION share/icons/hicolor/32x32/apps)
install(FILES src/gui/images/twinkle48.png
	RENAME twinkle.png
	DESTINATION share/icons/hicolor/48x48/apps)
install(FILES data/twinkle.svg
	DESTINATION share/icons/hicolor/scalable/apps)

install(FILES data/twinkle.1
	DESTINATION share/man/man1)

add_subdirectory(src)

=== src/CMakeLists.txt ===
project(libtwinkle)

include_directories("${CMAKE_CURRENT_SOURCE_DIR}")

add_subdirectory(audio)
if (NOT WITH_GSM)
	add_subdirectory(audio/gsm/src)
endif (NOT WITH_GSM)
add_subdirectory(audits)
add_subdirectory(im)
add_subdirectory(mwi)
add_subdirectory(parser)
add_subdirectory(patterns)
add_subdirectory(presence)
add_subdirectory(sdp)
add_subdirectory(sockets)
add_subdirectory(stun)
add_subdirectory(threads)
add_subdirectory(utils)

set(LIBTWINKLE_SRCS
	abstract_dialog.cpp
	address_book.cpp
	auth.cpp
	call_history.cpp
	call_script.cpp
	client_request.cpp
	cmd_socket.cpp
	dialog.cpp
	diamondcard.cpp
	epa.cpp
	events.cpp
	id_object.cpp
	line.cpp
	listener.cpp
	log.cpp
	phone.cpp
	phone_user.cpp
	prohibit_thread.cpp
	redirect.cpp
	sender.cpp
	service.cpp
	session.cpp
	sub_refer.cpp
	subscription.cpp
	subscription_dialog.cpp
	sys_settings.cpp
	timekeeper.cpp
	transaction.cpp
	transaction_layer.cpp
	transaction_mgr.cpp
	user.cpp
	userintf.cpp
	util.cpp
)

add_library(libtwinkle OBJECT ${LIBTWINKLE_SRCS})

set(twinkle_OBJS
	$<TARGET_OBJECTS:libtwinkle>
	$<TARGET_OBJECTS:libtwinkle-audio>
	$<TARGET_OBJECTS:libtwinkle-audits>
	$<TARGET_OBJECTS:libtwinkle-im>
	$<TARGET_OBJECTS:libtwinkle-mwi>
	$<TARGET_OBJECTS:libtwinkle-parser>
	$<TARGET_OBJECTS:libtwinkle-patterns>
	$<TARGET_OBJECTS:libtwinkle-presence>
	$<TARGET_OBJECTS:libtwinkle-sdp>
	$<TARGET_OBJECTS:libtwinkle-sockets>
	$<TARGET_OBJECTS:libtwinkle-stun>
	$<TARGET_OBJECTS:libtwinkle-threads>
	$<TARGET_OBJECTS:libtwinkle-utils>
)
if (NOT WITH_GSM)
	list(APPEND twinkle_OBJS $<TARGET_OBJECTS:libtwinkle-gsm>)
endif (NOT WITH_GSM)

add_executable(twinkle-console
	main.cpp
	${twinkle_OBJS}
)

set(twinkle_LIBS
	-lpthread
	-lresolv
	${LibMagic_LIBRARY}
	${LIBXML2_LIBRARIES}
	${Readline_LIBRARY}
	${ILBC_LIBRARIES}
	${SPEEX_LIBRARIES}
	${ZRTPCPP_LIBRARIES}
	${CCRTP_LIBRARIES}
	${COMMONCPP_LIBRARIES}
	${UCOMMON_LIBRARIES}
	${LIBSNDFILE_LIBRARY}
	${ALSA_LIBRARY}
	${G729_LIBRARY}
)
if (WITH_GSM)
	list(APPEND twinkle_LIBS ${GSM_LIBRARY})
endif (WITH_GSM)

if (WITH_QT5)
	add_subdirectory(gui)
endif (WITH_QT5)

target_link_libraries(twinkle-console ${twinkle_LIBS})

install(TARGETS twinkle-console DESTINATION bin)

=== src/audits/CMakeLists.txt ===
project(libtwinkle-audits)

set(LIBTWINKLE_AUDITS-SRCS
	memman.cpp
)

add_library(libtwinkle-audits OBJECT ${LIBTWINKLE_AUDITS-SRCS})

=== src/gui/CMakeLists.txt ===
project(twinkle-gui)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(twinkle_ui_SRC
	addresscardform.ui
	authenticationform.ui
	buddyform.ui
	deregisterform.ui
	diamondcardprofileform.ui
	dtmfform.ui
	getaddressform.ui
	getprofilenameform.ui
	historyform.ui
	inviteform.ui
	logviewform.ui
	messageform.ui
	mphoneform.ui
	numberconversionform.ui
	redirectform.ui
	selectnicform.ui
	selectprofileform.ui
	selectuserform.ui
	sendfileform.ui
	srvredirectform.ui
	syssettingsform.ui
	termcapform.ui
	transferform.ui
	userprofileform.ui
	wizardform.ui
)

set (twinkle_lang_SRC
	lang/twinkle_cs.ts
	lang/twinkle_de.ts
	lang/twinkle_fr.ts
	lang/twinkle_nl.ts
	lang/twinkle_ru.ts
	lang/twinkle_sv.ts
)

qt5_wrap_ui(
	twinkle_UIS
	${twinkle_ui_SRC}
)

qt5_add_resources(twinkle_QRC icons.qrc qml/qml.qrc)

qt5_add_translation(twinkle_LANG
	${twinkle_lang_SRC}
)

set(qt_LIBS Qt5::Widgets Qt5::Quick)

set(CMAKE_AUTOMOC ON)

set(TWINKLE_GUI-SRCS
	mphoneform.cpp
	inviteform.cpp
	getaddressform.cpp
	redirectform.cpp
	termcapform.cpp
	messageform.cpp
	srvredirectform.cpp
	userprofileform.cpp
	transferform.cpp
	syssettingsform.cpp
	historyform.cpp
	selectuserform.cpp
	selectprofileform.cpp
	buddyform.cpp
	diamondcardprofileform.cpp
	addresscardform.cpp
	authenticationform.cpp
	selectnicform.cpp
	sendfileform.cpp
	wizardform.cpp

	address_finder.cpp
	addresstablemodel.cpp
	buddylistview.cpp
	deregisterform.cpp
	dtmfform.cpp
	getprofilenameform.cpp
	gui.cpp
	logviewform.cpp
	main.cpp
	messageformview.cpp
	numberconversionform.cpp
	twinkleapplication.cpp
	yesnodialog.cpp
	textbrowsernoautolink.cpp
	osd.cpp
	incoming_call_popup.cpp

	${twinkle_OBJS}
	${twinkle_UIS}
	${twinkle_QRC}
	${twinkle_LANG}
)

add_executable(twinkle ${TWINKLE_GUI-SRCS})
target_link_libraries(twinkle ${twinkle_LIBS} ${qt_LIBS})

install(TARGETS twinkle DESTINATION bin)
install(FILES ${twinkle_LANG} DESTINATION share/twinkle/lang)

=== src/im/CMakeLists.txt ===
project(libtwinkle-im)

set(LIBTWINKLE_IM-SRCS
	im_iscomposing_body.cpp
	msg_session.cpp
)

add_library(libtwinkle-im OBJECT ${LIBTWINKLE_IM-SRCS})

=== src/parser/CMakeLists.txt ===
project(libtwinkle-parser)

BISON_TARGET(MyParser parser.yxx ${CMAKE_CURRENT_BINARY_DIR}/parser.cxx)
FLEX_TARGET(MyScanner scanner.lxx ${CMAKE_CURRENT_BINARY_DIR}/scanner.cxx)
ADD_FLEX_BISON_DEPENDENCY(MyScanner MyParser)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(LIBTWINKLE_PARSER-SRCS
	challenge.cpp
	coding.cpp
	credentials.cpp
	definitions.cpp
	hdr_accept.cpp
	hdr_accept_encoding.cpp
	hdr_accept_language.cpp
	hdr_alert_info.cpp
	hdr_allow.cpp
	hdr_allow_events.cpp
	hdr_auth_info.cpp
	hdr_authorization.cpp
	hdr_call_id.cpp
	hdr_call_info.cpp
	hdr_contact.cpp
	hdr_content_disp.cpp
	hdr_content_encoding.cpp
	hdr_content_language.cpp
	hdr_content_length.cpp
	hdr_content_type.cpp
	hdr_cseq.cpp
	hdr_date.cpp
	hdr_error_info.cpp
	hdr_event.cpp
	hdr_expires.cpp
	hdr_from.cpp
	hdr_in_reply_to.cpp
	hdr_max_forwards.cpp
	hdr_min_expires.cpp
	hdr_mime_version.cpp
	hdr_organization.cpp
	hdr_priority.cpp
	hdr_privacy.cpp
	hdr_p_asserted_identity.cpp
	hdr_p_preferred_identity.cpp
	hdr_proxy_authenticate.cpp
	hdr_proxy_authorization.cpp
	hdr_proxy_require.cpp
	hdr_rack.cpp
	hdr_record_route.cpp
	hdr_refer_sub.cpp
	hdr_refer_to.cpp
	hdr_referred_by.cpp
	hdr_replaces.cpp
	hdr_reply_to.cpp
	hdr_require.cpp
	hdr_request_disposition.cpp
	hdr_retry_after.cpp
	hdr_route.cpp
	hdr_rseq.cpp
	hdr_server.cpp
	hdr_service_route.cpp
	hdr_sip_etag.cpp
	hdr_sip_if_match.cpp
	hdr_subject.cpp
	hdr_subscription_state.cpp
	hdr_supported.cpp
	hdr_timestamp.cpp
	hdr_to.cpp
	hdr_unsupported.cpp
	hdr_user_agent.cpp
	hdr_via.cpp
	hdr_warning.cpp
	hdr_www_authenticate.cpp
	header.cpp
	identity.cpp
	media_type.cpp
	milenage.cpp
	parameter.cpp
	parse_ctrl.cpp
	${CMAKE_CURRENT_BINARY_DIR}/parser.cxx
	request.cpp
	response.cpp
	rijndael.cpp
	route.cpp
	${CMAKE_CURRENT_BINARY_DIR}/scanner.cxx
	sip_body.cpp
	sip_message.cpp
)

add_library(libtwinkle-parser OBJECT ${LIBTWINKLE_PARSER-SRCS})

=== src/sdp/CMakeLists.txt ===
project(libtwinkle-sdp)

BISON_TARGET(MyParser sdp_parser.yxx ${CMAKE_CURRENT_BINARY_DIR}/sdp_parser.cxx COMPILE_FLAGS "-p yysdp")
FLEX_TARGET(MyScanner sdp_scanner.lxx ${CMAKE_CURRENT_BINARY_DIR}/sdp_scanner.cxx COMPILE_FLAGS "-Pyysdp")
ADD_FLEX_BISON_DEPENDENCY(MyScanner MyParser)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})

set(LIBTWINKLE_SDP-SRCS
	sdp.cpp
	sdp_parse_ctrl.cpp
	${CMAKE_CURRENT_BINARY_DIR}/sdp_parser.cxx
	${CMAKE_CURRENT_BINARY_DIR}/sdp_scanner.cxx
	sdp_scanner.cxx
)

add_library(libtwinkle-sdp OBJECT ${LIBTWINKLE_SDP-SRCS})

=== src/utils/CMakeLists.txt ===
project(libtwinkle-utils)

set(LIBTWINKLE_UTILS-SRCS
	file_utils.cpp
	mime_database.cpp
)

add_library(libtwinkle-utils OBJECT ${LIBTWINKLE_UTILS-SRCS})

=== debian/changelog ===
twinkle (1:1.10.1+dfsg-1) unstable; urgency=medium

  [ Rolf Leggewie ]
  * Add myself to Uploaders (Closes: #814396)
  * Imported Upstream version 1.10.1+dfsg
  * Drop obsolete compile-time dependency on libcommoncpp2-dev
  * Add my copyright for Debian packaging information

  [ Peter Colberg ]
  * Explicitly build depend on libucommon-dev
  * Bump debhelper compat level to 10
  * Fix spelling mistakes found by lintian

 -- Peter Colberg <peter@colberg.org>  Fri, 28 Oct 2016 23:51:47 -0400

=== debian/control ===
Source: twinkle
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Peter Colberg <peter@colberg.org>,
           Rolf Leggewie <foss@rolf.leggewie.biz>
Build-Depends: bison,
               cmake,
               debhelper (>= 10),
               flex,
               libasound2-dev [linux-any],
               libccrtp-dev,
               libgsm1-dev,
               libmagic-dev,
               libreadline-dev,
               libsndfile1-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libucommon-dev,
               libxml2-dev,
               linux-libc-dev [linux-any],
               qtdeclarative5-dev,
               qtscript5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 3.9.8
Homepage: http://twinkle.dolezel.info/
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/twinkle.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/twinkle.git

Package: twinkle
Architecture: any
Depends: qml-module-qtquick2,
         twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Voice over Internet Protocol (VoIP) SIP Phone (GUI)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the graphical interface.

Package: twinkle-console
Architecture: any
Depends: twinkle-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: twinkle (= ${binary:Version})
Description: Voice over Internet Protocol (VoIP) SIP Phone (console)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the console interface. Note that the console
 interface provides a reduced set of features; in particular, the
 graphical interface is needed to create the configuration files.

Package: twinkle-common
Architecture: all
Depends: ${misc:Depends}
Breaks: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Replaces: twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~)
Description: Voice over Internet Protocol (VoIP) SIP Phone (common files)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains common files for both interfaces.

=== debian/rules ===
#!/usr/bin/make -f

# Support manual invocation of debian/rules
include /usr/share/dpkg/architecture.mk

# Disable ZRTP support for now (see: #797554)
CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON

# Enable ALSA support on Linux only
ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFIGURE_FLAGS += -DWITH_ALSA=ON
else
CONFIGURE_FLAGS += -DWITH_ALSA=OFF
endif

# Avoid useless library dependencies
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_clean:
	rm -f debian/twinkle.1
	dh_clean

override_dh_auto_configure:
	dh_auto_configure -- $(CONFIGURE_FLAGS)

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --verbose --rename --repack --compression xz --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-current-version

## twinkle 1.10.2+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
-set(PRODUCT_VERSION "1.10.1")
-set(PRODUCT_DATE    "October 7, 2016")
+set(PRODUCT_VERSION "1.10.2")
+set(PRODUCT_DATE    "February 14, 2018")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)

=== src/patterns/CMakeLists.txt ===
project(libtwinkle-patterns)

set(LIBTWINKLE_PATTERNS-SRCS
	observer.cpp
)

add_library(libtwinkle-patterns OBJECT ${LIBTWINKLE_PATTERNS-SRCS})

=== src/presence/CMakeLists.txt ===
project(libtwinkle-presence)

set(LIBTWINKLE_PRESENCE-SRCS
	buddy.cpp
	pidf_body.cpp
	presence_dialog.cpp
	presence_epa.cpp
	presence_state.cpp
	presence_subscription.cpp
)

add_library(libtwinkle-presence OBJECT ${LIBTWINKLE_PRESENCE-SRCS})

=== src/stun/CMakeLists.txt ===
project(libtwinkle-stun)

set(LIBTWINKLE_STUN-SRCS
	stun.cxx
	stun_transaction.cpp
	udp.cxx
)

add_library(libtwinkle-stun OBJECT ${LIBTWINKLE_STUN-SRCS})

=== debian/changelog ===
twinkle (1:1.10.2+dfsg-2build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:45 +1100

twinkle (1:1.10.2+dfsg-2build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:20:47 +0000

twinkle (1:1.10.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 07:04:45 +0000

twinkle (1:1.10.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Change upstream URL taken over by hostile actors (Closes: #1034661)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 20 May 2023 17:12:46 +0200

twinkle (1:1.10.2+dfsg-1) unstable; urgency=medium

  * New upstream version 1.10.2+dfsg
  * remove already applied patches

 -- Victor Seva <vseva@debian.org>  Thu, 03 Dec 2020 15:47:34 +0100

twinkle (1:1.10.1+dfsg-4) unstable; urgency=medium

  * wrap-and-sort -sat
  * add myself to Uploaders
  * set twinkle-common as Multi-Arch: foreign
  * add fix for alsa v1.1.7 from upstream
  * update Standards-Version to 4.2.1, no changes needed

 -- Victor Seva <vseva@debian.org>  Wed, 12 Dec 2018 09:40:42 +0100

twinkle (1:1.10.1+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with Qt 5.11,
    thanks to Juhani Numminen. (Closes: #906657)
  * Remove alternative dependency on the no longer existing
    qtdeclarative5-qtquick2-plugin. (Closes: #904029)

 -- Adrian Bunk <bunk@debian.org>  Sun, 16 Sep 2018 19:21:15 +0300

twinkle (1:1.10.1+dfsg-3) unstable; urgency=medium

  * Drop unneeded build-deps on qtscript5-dev and qttools5-dev-tools.
    Thanks to Frédéric Brière (Closes: #890093)
  * Update Vcs-* fields for move to salsa.debian.org
  * Use https for copyright-format URL
  * Bump Standards-Version to 4.1.3

 -- Peter Colberg <peter@colberg.org>  Tue, 27 Mar 2018 21:25:58 -0400

twinkle (1:1.10.1+dfsg-2) unstable; urgency=medium

  [ Rolf Leggewie ]
  * debian/rules:
    - Use debian/clean and drop override_dh_clean target
  * debian/control:
    - Optionally depend on qtdeclarative5-qtquick2-plugin for Ubuntu trusty

 -- Peter Colberg <peter@colberg.org>  Sun, 06 Nov 2016 13:23:08 -0500

=== debian/control ===
Source: twinkle
Section: comm
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Peter Colberg <peter@colberg.org>,
 Rolf Leggewie <foss@rolf.leggewie.biz>,
 Victor Seva <vseva@debian.org>,
Build-Depends:
 bison,
 cmake,
 debhelper (>= 10),
 flex,
 libasound2-dev [linux-any],
 libccrtp-dev,
 libgsm1-dev,
 libmagic-dev,
 libreadline-dev,
 libsndfile1-dev,
 libspeex-dev,
 libspeexdsp-dev,
 libucommon-dev,
 libxml2-dev,
 linux-libc-dev [linux-any],
 qtdeclarative5-dev,
 qttools5-dev,
Standards-Version: 4.2.1
Homepage: http://twinkle.dolezel.info/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/twinkle.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/twinkle

Package: twinkle
Architecture: any
Depends:
 qml-module-qtquick2,
 twinkle-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Voice over Internet Protocol (VoIP) SIP Phone (GUI)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the graphical interface.

Package: twinkle-console
Architecture: any
Depends:
 twinkle-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 twinkle (= ${binary:Version}),
Description: Voice over Internet Protocol (VoIP) SIP Phone (console)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains the console interface. Note that the console
 interface provides a reduced set of features; in particular, the
 graphical interface is needed to create the configuration files.

Package: twinkle-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
Breaks:
 twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~),
Replaces:
 twinkle (<< 1:1.9.0+git20160520.0.be8b8df+dfsg-1~),
Description: Voice over Internet Protocol (VoIP) SIP Phone (common files)
 Twinkle is a soft-phone for making telephone calls over an IP network
 using the SIP protocol. You can use it for direct IP phone to IP phone
 communication or in a network using a SIP proxy to route your calls.
 Notable features include multiple active identities, call transfer,
 call rejection, 2 simultaneous calls and 3-way conference calls.
 .
 This package contains common files for both interfaces.

## twinkle 1.10.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 2.6.0 FATAL_ERROR)
 
-set(PRODUCT_VERSION "1.10.2")
-set(PRODUCT_DATE    "February 14, 2018")
+set(PRODUCT_VERSION "1.10.3")
+set(PRODUCT_DATE    "February 18, 2022")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 OPTION(WITH_ZRTP		"Enable ZRTP encrypted calls" OFF)

=== debian/changelog ===
twinkle (1:1.10.3+dfsg-2) unstable; urgency=medium

  * Team upload
  * Override min cmake version (Closes: #1113592)
  * Update to debhelper-compat level 12

 -- Bastian Germann <bage@debian.org>  Fri, 17 Oct 2025 19:32:56 +0200

twinkle (1:1.10.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.10.3+dfsg (Closes: #1054566)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 20:52:56 +0000

twinkle (1:1.10.2+dfsg-3) unstable; urgency=medium

  * Team upload
  * Override C++ std to build with new libicu (Closes: #1101259)

 -- Bastian Germann <bage@debian.org>  Thu, 27 Mar 2025 19:32:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: twinkle
 Section: comm
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
+Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders:
  Peter Colberg <peter@colberg.org>,
  Rolf Leggewie <foss@rolf.leggewie.biz>,
@@ -10,7 +9,7 @@
 Build-Depends:
  bison,
  cmake,
- debhelper (>= 10),
+ debhelper-compat (= 12),
  flex,
  libasound2-dev [linux-any],
  libccrtp-dev,

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # Disable ZRTP support for now (see: #797554)
-CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON
+CONFIGURE_FLAGS = -DWITH_QT5=ON -DWITH_ZRTP=OFF -DWITH_SPEEX=ON -DWITH_GSM=ON -DCMAKE_POLICY_VERSION_MINIMUM=3.5
 
 # Enable ALSA support on Linux only
 ifeq ($(DEB_HOST_ARCH_OS),linux)
@@ -21,10 +21,6 @@
 %:
 	dh $@
 
-override_dh_clean:
-	rm -f debian/twinkle.1
-	dh_clean
-
 override_dh_auto_configure:
 	dh_auto_configure -- $(CONFIGURE_FLAGS)
